#!/usr/bin/env bash
# $1 -- image id in booru
# $2 -- absolute path to image

SCRIPT_DIR=/srv/auto_tagger

# Add image to queue
echo "$2" > "$SCRIPT_DIR/spool/$1"

# Start processing thread if not running yet
if [ ! -f /tmp/deepdanbooru_thread.lock ]; then
    $SCRIPT_DIR/processing_queue.sh &
    touch /tmp/deepdanbooru_thread.lock
fi
